<?php
// +-----------------------------------------------------------------------+
// | Files statistics - a PWG Plugin                                       |
// | Copyright (C) 2007 Ruben ARNAUD - rub@phpwebgallery.net               |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH'))
{
  die('Hacking attempt!');
}

define('FSTATS_PLUGIN_DIR', dirname(__FILE__));
define('FSTATS_PLUGIN_NAME', basename(dirname(__FILE__)));
define('FSTATS_DATA_DIR', PHPWG_ROOT_PATH.FSTATS_PLUGIN_NAME);
define('FSTATS_RAW_DIR', FSTATS_DATA_DIR.'/raw');
define('FSTATS_SUMMARY_DIR', FSTATS_DATA_DIR.'/summary');
define('FSTATS_FMT_RAW_DIR_Y', FSTATS_RAW_DIR.'/%04d');
define('FSTATS_FMT_RAW_DIR_M', FSTATS_FMT_RAW_DIR_Y.'/%02d');
define('FSTATS_FMT_RAW_DIR_D', FSTATS_FMT_RAW_DIR_M.'/%02d');
define('FSTATS_FMT_RAW_DIR_H', FSTATS_FMT_RAW_DIR_D.'/%02d');
define('FSTATS_FMT_SUMMARY_DIR', FSTATS_SUMMARY_DIR.'/%04d/%02d/%02d/%02d');
define('FSTATS_FMT_RAW_FILE', FSTATS_PLUGIN_NAME.'_raw_%04d_%02d_%02d_%02d_%09d.dat');
define('FSTATS_FMT_SUMMARY_FILE', FSTATS_PLUGIN_NAME.'_summary_%04d_%02d_%02d_%02d.dat');

?>
